- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Functions
Widget Tree Navigation

These functions provide checks for if a Evas_Object is an Elementary widget, the possibility of getting a widget's parent, top level parent and getting a string representation of a widget's type. More...

## Functions
Eina_Bool | elm_object_widget_check (const Evas_Object *obj)
| Check if the given Evas Object is an Elementary widget. More...
Evas_Object * | elm_object_parent_widget_get (const Evas_Object *obj)
| Get the first parent of the given object that is an Elementary widget. More...
Evas_Object * | elm_object_top_widget_get (const Evas_Object *obj)
| Get the top level parent of an Elementary widget. More...
const char * | elm_object_widget_type_get (const Evas_Object *obj)
| Get the string that represents this Elementary widget. More...

## Detailed Description

These functions provide checks for if a Evas_Object is an Elementary widget, the possibility of getting a widget's parent, top level parent and getting a string representation of a widget's type.

## Function Documentation

Evas_Object* elm_object_parent_widget_get | ( | const Evas_Object * | obj | ) |

Get the first parent of the given object that is an Elementary widget.

Parameters

  obj | the Elementary object to query parent from.

Returns
  the parent object that is an Elementary widget, or `NULL`, if it was not found.

Use this to query for an object's parent widget.

Note
  Most of Elementary users wouldn't be mixing non-Elementary smart objects in the objects tree of an application, as this is an advanced usage of Elementary with Evas. So, except for the application's window, which is the root of that tree, all other objects would have valid Elementary widget parents.

Evas_Object* elm_object_top_widget_get | ( | const Evas_Object * | obj | ) |

Get the top level parent of an Elementary widget.

Parameters

  obj | The object to query.

Returns
  The top level Elementary widget, or `NULL` if parent cannot be found.

Eina_Bool elm_object_widget_check | ( | const Evas_Object * | obj | ) |

Check if the given Evas Object is an Elementary widget.

Parameters

  obj | the object to query.

Returns
  `EINA_TRUE` if it is an elementary widget variant, `EINA_FALSE` otherwise

const char* elm_object_widget_type_get | ( | const Evas_Object * | obj | ) |

Get the string that represents this Elementary widget.

Note
  Elementary is weird and exposes itself as a single Evas_Object_Smart_Class of type "elm_widget", so evas_object_type_get() always return that, making debug and language bindings hard. This function tries to mitigate this problem, but the solution is to change Elementary to use proper inheritance.

Parameters

  obj | the object to query.

Returns
  Elementary widget name, or `NULL` if not a valid widget.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14